Name:		ibm-prtm
Version:	1.5
Release:	1%{?dist}
Summary:	EDAC/SMI utilities for IBM LS21/HS21 blades

Group:		System Environment/Daemons
License:	GPL+
Source:		ibm-prtm-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildarch:	noarch

Requires:	chkconfig, python, OpenIPMI-tools

%description
Utility and startup script for disabling System Management Interrupts (SMI)
for IBM LS21/HS21 blades

%prep
%setup -qn current

%build

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 0755 ibm-prtmd $RPM_BUILD_ROOT/sbin/ibm-prtmd
install -D -m 0755 ibm-prtm $RPM_BUILD_ROOT/etc/init.d/ibm-prtm
install -D -m 0644 modprobe.ibm-amd $RPM_BUILD_ROOT/etc/modprobe.d/ibm-amd
install -D -m 0644 SMI-removal.txt $RPM_BUILD_ROOT/usr/share/%{name}-%{version}/SMI-removal.txt
install -D -m 0644 CHANGELOG $RPM_BUILD_ROOT/usr/share/%{name}-%{version}/CHANGELOG

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/sbin/ibm-prtmd
/etc/init.d/ibm-prtm
/etc/modprobe.d/ibm-amd

%doc
/usr/share/%{name}-%{version}/SMI-removal.txt
/usr/share/%{name}-%{version}/CHANGELOG

%post
/sbin/chkconfig --add %{name}

%preun
/sbin/chkconfig --del %{name}

%changelog
* Mon Nov  2 2009 Clark Williams <williams@redhat.com> - 1.5-1
- new tarball from Keith Mannthey <kmannth@us.ibm.com>
  - Fixed up module loading blacklist issue
  - Fixed broken version string

* Tue Oct 27 2009 Clark Williams <williams@redhat.com> - 1.4-2
- added back blacklist file for k8_edac

* Mon Oct 26 2009 Clark Williams <williams@redhat.com> - 1.4-1
- new tarball from IBM
- unified ibm-prtmd to work on both v1 and v2 MRG RT kernels

* Thu Oct 15 2009 Clark Williams <williams@redhat.com> - 1.3-1
- new tarball from IBM

* Thu Sep 10 2009 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.2-2
- Added support to i7core_edac - SMI remediation (Keith Mannthey) [522359]

* Tue Nov 18 2008 Clark Williams <williams@redhat.com> - 1.2-1
- new tarball from IBM with option for ibm-amd driver
  which adds /etc/modprobe.d/ibm_amd
- added blacklist of k8_edac via /etc/modprobe.d/blacklist-k8_edac

* Thu Oct 23 2008 Clark Williams <williams@redhat.com> - 1.1-2
- rebuilt using IBM supplied tarball

* Tue Oct 21 2008 Clark Williams <williams@redhat.com> - 1.1-1
- updated ibm-prtm and ibm-prtmd code with new code from IBM [457625]
  dropped tarball for individual files
  removed prep section setup macro
* Tue Apr 15 2008 Clark Williams <williams@redhat.com> - 1.0-1
- initial packaging

